ゼロからわかる Amazon Web Services超入門 はじめてのクラウド

サポートページ

この記事を読むのに必要な時間:およそ 0.5 分

補足情報

# P.180(4-10)からのWordPressのインストールが正常に動作しない

WordPressの最新版更新に伴い、書籍が一部動作しなくなっていました。
解決のためにAmazon Linux 2に最新のPHPをインストールする方法を解説します。
P.180の操作の前に以下のとおり操作いただくと、Amazon Linux 2上で最新のPHPが動作します。
PHPとライブラリをインストールしたらsystemctl restart httpdを実行して変更を反映してください。

phpのインストール(4-8 P.173)

amazon-linux-extrasコマンドを用いて最新のPHPをインストールします。
以下のようにインストールします。可否を問われた際はyumと同じく「y」で許可します。
なお、書籍中と同じく、sudo -iでルートユーザーとなったことを前提にしています。

amazon-linux-extrasコマンドはyumコマンドを拡張する役割を持ったパッケージ管理のコマンドです。

対応前

# yum install php

対応後

# # すでにWordPressに必要なライブラリをインストールしている場合、yum remove -y php-mysqlでphp-mysqlをアンインストールしておく。
# amazon-linux-extras install php7.3

WordPressに必要なライブラリのインストール(4-8 P.174)

php-mysqlについては同等の役割を持ったライブラリが「php7.3」インストール時に合わせてインストールされるため、インストールの必要がなくなります。

対応前

yum install php-mysql php-mbstring php-gd

対応後


yum install php-mbstring php-gd

お詫びと訂正(正誤表)

本書の以下の部分に誤りがありました。ここに訂正するとともに,ご迷惑をおかけしたことを深くお詫び申し上げます。

(2019年10月1日最終更新)

P.105(コラム バケットポリシーとユーザーポリシー)の図

本来,「ユーザーAさんからバケットZに向かう矢印」とすべき箇所が,誤って「ユーザーAさんからバケットYに向かう矢印」になっていました。
正しくは下図のとおりです。

P.105図